Retrieve a metric template group
GET
/v1/metrictemplategroup/{id}/
const url = 'https://example.com/v1/metrictemplategroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/metrictemplategroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single metric template group by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this metric template group.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
default_label
required
string
server_group
required
string format: uuid
threshold_low_warning
number format: double
threshold_low_critical
number format: double
threshold_high_warning
number format: double
threshold_high_critical
number format: double
created_at
required
string format: date-time
created_by
required
string format: uuid
Examplegenerated
{ "default_label": "example", "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_low_warning": 1, "threshold_low_critical": 1, "threshold_high_warning": 1, "threshold_high_critical": 1}